#11 Please create an AppData file for yoshimi

Done
closed
None
5
2015-05-31
2014-05-27
No

Please consider writing and installing an AppData file with the application description and some screenshots, else yoshimi looks really bad in the GNOME and KDE Software Centers. We'd love to showcase more applications, but without the extra data file we can't. See http://people.freedesktop.org/~hughsient/appdata/ for details; thanks!

Richard

Related

Feature Requests: #11

Discussion

  • Will Godfrey

    Will Godfrey - 2014-06-16

    On Tue, 27 May 2014 12:17:27 +0000
    "Richard Hughes" hughsie@users.sf.net wrote:


    [feature-requests:#11] Please create an AppData file for yoshimi

    Status: open
    Group: Considered
    Created: Tue May 27, 2014 12:17 PM UTC by Richard Hughes
    Last Updated: Tue May 27, 2014 12:17 PM UTC
    Owner: nobody

    Please consider writing and installing an AppData file with the application description and some screenshots, else yoshimi looks really bad in the GNOME and KDE Software Centers. We'd love to showcase more applications, but without the extra data file we can't. See http://people.freedesktop.org/~hughsient/appdata/ for details; thanks!

    Richard


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/yoshimi/feature-requests/11/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

    Hi,

    We're in the process of producing an AppData file as you suggested but are at a
    loss as to where it should be placed in the release tarball, or indeed anywhere
    else!

    --
    Will J Godfrey
    http://www.musically.me.uk
    Say you have a poem and I have a tune.
    Exchange them and we can both have a poem, a tune, and a song.

     

    Related

    Feature Requests: #11

  • Richard Hughes

    Richard Hughes - 2014-06-17

    Awesome, thanks. It doesn't matter where in the tarball you include the file, but it has to be installed into /usr/share/appdata -- just like the desktop file is installed into /usr/share/applications

     
    • Will Godfrey

      Will Godfrey - 2014-06-17

      On Tue, 17 Jun 2014 07:34:39 +0000
      "Richard Hughes" hughsie@users.sf.net wrote:

      Awesome, thanks. It doesn't matter where in the tarball you include the file, but it has to be installed into /usr/share/appdata -- just like the desktop file is installed into /usr/share/applications

      Still not quite clear on this. For 'home builders' Yoshimi is configured to
      install to /usr/local/ rather than /usr/

      Am I right in thinking it is up to the packagers for debian, ubuntu etc. to
      modify this? Will the appdata system still find files in 'local' (most other
      things seem to) ?

      --
      Will J Godfrey
      http://www.musically.me.uk
      Say you have a poem and I have a tune.
      Exchange them and we can both have a poem, a tune, and a song.

       
  • Will Godfrey

    Will Godfrey - 2014-06-17
    • status: open --> pending
    • assigned_to: Will Godfrey
    • Group: Considered --> Next Release (example)
     
  • Will Godfrey

    Will Godfrey - 2014-06-17
    • Group: Unknown --> V 1.2.2
     
  • Richard Hughes

    Richard Hughes - 2014-06-18

    Am I right in thinking it is up to the packagers for debian, ubuntu etc. to
    modify this?

    Yes, /usr/local is probably fine for home-builders, the distros will redefine datadir to be /usr, and that's what the extraction tools all use. Thanks!

     
  • Will Godfrey

    Will Godfrey - 2014-06-21

    In place now.

     
  • Will Godfrey

    Will Godfrey - 2014-06-21
    • status: pending --> closed
     
  • Will Godfrey

    Will Godfrey - 2015-05-31
    • Group: V 1.2.2 --> Done
     
  • Will Godfrey

    Will Godfrey - 2015-05-31
    • Group: Unlikely! --> Done
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks